<template>
  <div>
    <b-container>
      <b-row>
        <h1>
          Login to ZoomSense
        </h1>
      </b-row>
      <b-row>
        <button type="button" class="btn btn-primary" @click="socialLogin">
          Login
        </button>
      </b-row>
      <b-row> </b-row>
    </b-container>
  </div>
</template>

<script>
import firebase from "firebase";
export default {
  name: "Login",
  data() {
    return {};
  },
  methods: {
    socialLogin() {
      const provider = new firebase.auth.GoogleAuthProvider();
      firebase
        .auth()
        .signInWithPopup(provider)
        .then(() => {
          this.$router.replace("home");
        })
        .catch((err) => {
          alert("Oops. " + err.message);
        });
    },
  },
};
</script>
